NVME-NVM-ID-CTRL(1)

NAME
nvme-nvm-id-ctrl - Send NVMe Identify Controller, return NVM command set structure

SYNOPSIS

nvme nvm-id-ctrl <device> [--output-format=<fmt> | -o <fmt>] [--verbose | -v]

DESCRIPTION

For the NVMe device given, sends the NVM command set’s identify controller command and provides the result and returned structure.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

On success, the data structure returned by the device will be decoded and displayed in one of several ways.

OPTIONS

-o <fmt>, --output-format=<fmt>
    Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v, --verbose
    Increase the information detail in the output.

EXAMPLES

    • Has the program interpret the returned buffer and display the known fields in a human readable format:

        # nvme nvm-id-ctrl /dev/nvme0

    • Show the output in json format

        # nvme nvm-id-ctrl /dev/nvme0 -o json

NVME

Part of nvme-cli